#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Python parser
Summary(pl.UTF-8):	Parser Pythona
Name:		python3-parso
Version:	0.8.4
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/parso/
Source0:	https://files.pythonhosted.org/packages/source/p/parso/parso-%{version}.tar.gz
# Source0-md5:	f83b2e4164f6589ccae39b16c30ed5de
URL:		https://pypi.org/project/parso/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-docopt
BuildRequires:	python3-pytest >= 3.0.7
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parso is a Python parser that supports error recovery and round-trip
parsing for different Python versions (in multiple Python versions).
Parso is also able to list multiple syntax errors in your python file.

%description -l pl.UTF-8
Parso to parser Pythona obsługujący wznawianie po błędach i obustronną
analizę dla różnych wersji Pythona (w wielu wersjach Pythona). Parso
potrafi także wypisać wiele błędów składni w pliku pythonowym.

%package apidocs
Summary:	API documentation for Python parso module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona parso
Group:		Documentation

%description apidocs
API documentation for Python parso module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona parso.

%prep
%setup -q -n parso-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest test -k 'not test_python_errors'
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt CHANGELOG.rst LICENSE.txt README.rst
%{py3_sitescriptdir}/parso
%{py3_sitescriptdir}/parso-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,docs,*.html,*.js}
%endif
%changelog
* Sat Apr 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-parso.git;a=log;h=master

* Sat Apr 19 2025 Jan Palus <atler@pld-linux.org> 01a2547
- up to 0.8.4

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 73c7d90
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 6836f01
- python 3.13 rebuild

* Mon Sep 12 2022 Jakub Bogusz <qboosh@pld-linux.org> c0dcbc9
- disable tests not ready for python 3.10

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> c5b6169
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f7474c9
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e34cce3
- rebuild with python 3.10

* Mon Mar 21 2022 Jakub Bogusz <qboosh@pld-linux.org> 4c586f0
- updated to 0.7.1

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c26e711
- release 2 (by relup.sh)

* Sun Apr 19 2020 Jakub Bogusz <qboosh@pld-linux.org> cc30506
- new

